Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# DynamicC.h File Reference

`#include "ace/pre.h"`
`#include "tao/corbafwd.h"`
`#include "tao/TAO_Export.h"`
`#include "tao/Any.h"`
`#include "tao/Sequence.h"`
`#include "ace/post.h"`

Include dependency graph for DynamicC.h:

This graph shows which files directly or indirectly include this file:

## Defines
#define | TAO_EXPORT_MACRO TAO_Export
#define | __TAO_UNBOUNDED_SEQUENCE_DYNAMIC_PARAMETERLIST_CH_
#define | _DYNAMIC_PARAMETERLIST_CH_
#define | _DYNAMIC_PARAMETERLIST___VAR_CH_
#define | _DYNAMIC_PARAMETERLIST___OUT_CH_
#define | __TAO_UNBOUNDED_OBJECT_SEQUENCE_DYNAMIC_EXCEPTIONLIST_CH_
#define | _DYNAMIC_EXCEPTIONLIST_CH_
#define | _DYNAMIC_EXCEPTIONLIST___VAR_CH_
#define | _DYNAMIC_EXCEPTIONLIST___OUT_CH_
## Functions
TAO_Export void | operator<<= (CORBA::Any &, Dynamic::Parameter *)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, Dynamic::Parameter *&)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, const Dynamic::Parameter *&)
TAO_Export void | operator<<= (CORBA::Any &, const Dynamic::ParameterList &)
TAO_Export void | operator<<= (CORBA::Any &, Dynamic::ParameterList *)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, Dynamic::ParameterList *&)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, const Dynamic::ParameterList *&)
TAO_Export void | operator<<= (CORBA::Any &, const Dynamic::ExceptionList &)
TAO_Export void | operator<<= (CORBA::Any &, Dynamic::ExceptionList *)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, Dynamic::ExceptionList *&)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, const Dynamic::ExceptionList *&)
TAO_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const Dynamic::Parameter &)
TAO_Export CORBA::Boolean | operator>> (TAO_InputCDR &, Dynamic::Parameter &)
TAO_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const Dynamic::ParameterList &)
TAO_Export CORBA::Boolean | operator>> (TAO_InputCDR &, Dynamic::ParameterList &)
TAO_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const Dynamic::ExceptionList &)
TAO_Export CORBA::Boolean | operator>> (TAO_InputCDR &, Dynamic::ExceptionList &)

## Define Documentation

#define __TAO_UNBOUNDED_OBJECT_SEQUENCE_DYNAMIC_EXCEPTIONLIST_CH_

#define __TAO_UNBOUNDED_SEQUENCE_DYNAMIC_PARAMETERLIST_CH_

#define _DYNAMIC_EXCEPTIONLIST___OUT_CH_

#define _DYNAMIC_EXCEPTIONLIST___VAR_CH_

#define _DYNAMIC_EXCEPTIONLIST_CH_

#define _DYNAMIC_PARAMETERLIST___OUT_CH_

#define _DYNAMIC_PARAMETERLIST___VAR_CH_

#define _DYNAMIC_PARAMETERLIST_CH_

#define TAO_EXPORT_MACRO TAO_Export

## Function Documentation

TAO_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const Dynamic::ExceptionList & | _tao_sequence
| ) |

TAO_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const Dynamic::ParameterList & | _tao_sequence
| ) |

TAO_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const Dynamic::Parameter & | _tao_aggregate
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | _tao_any,
|  | Dynamic::ExceptionList * | _tao_elem
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | _tao_any,
|  | const Dynamic::ExceptionList & | _tao_elem
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | _tao_any,
|  | Dynamic::ParameterList * | _tao_elem
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | _tao_any,
|  | const Dynamic::ParameterList & | _tao_elem
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | _tao_any,
|  | Dynamic::Parameter * | _tao_elem
| ) |

TAO_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | Dynamic::ExceptionList & | _tao_sequence
| ) |

TAO_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | Dynamic::ParameterList & | _tao_sequence
| ) |

TAO_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | Dynamic::Parameter & | _tao_aggregate
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | const Dynamic::ExceptionList *& | _tao_elem
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | Dynamic::ExceptionList *& | _tao_elem
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | const Dynamic::ParameterList *& | _tao_elem
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | Dynamic::ParameterList *& | _tao_elem
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | const Dynamic::Parameter *& | _tao_elem
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | Dynamic::Parameter *& | _tao_elem
| ) |